function dpsk = a16dpsk(psk, ref)

if (nargin < 2)
   ref = +1;
end;

d_array = signal_constellation('16PSK');

for k = 1 : length(psk)
   dpsk(k) = ref * psk(k);
   dist = abs(dpsk(k)-d_array).^2;
   [mv, mi] = min(dist);
   dpsk(k) = d_array(mi);
   ref = dpsk(k);
end;
