function symbols = a8psk(bits)

N = length(bits);
vec = logical(reshape(bits,3,N/3));
d_array = signal_constellation('8PSK');

greycode = [[0 0 0];
            [0 0 1];
            [0 1 1];
            [0 1 0];
            [1 1 0];
            [1 1 1];
            [1 0 1];
            [1 0 0]];
greycode = logical(greycode);
         
for k = 1 : 8
   matched = (vec(1,:)==greycode(k,1))&(vec(2,:)==greycode(k,2))&(vec(3,:)==greycode(k,3));
   
%   matched
   
%   pause
   
   % Assigns all the symbols that belong to symbol 1 in the constelation a value and so on for each
   % of the 8 symbols.

    symbols(matched) = d_array(k);
   
%   pause
end;