function CS_akSoft = bpsk_map(CS_yk, CS_noisePower)
% CS_akSoft = bpsk_map(CS_yk, CS_noisePower)

b_plus_one  = exp(-(abs(CS_yk - 1)^2)/2/CS_noisePower);
b_minus_one = exp(-(abs(CS_yk + 1)^2)/2/CS_noisePower);

CS_akSoft = 2*((b_plus_one > b_minus_one) - 0.5);