function CR_dqpsk = delayed_dqpsk(CR_qpsk, PS_delay, CR_ref)
% CR_dqpsk = delayed_dqpsk(CR_qpsk, PS_delay, CR_ref)

if (nargin < 2)
   PS_delay = 1;
end;
if (nargin < 3)
   CR_ref = +ones(1,PS_delay);
end;
PS_length = ceil(length(CR_qpsk)/PS_delay);
PS_padded = PS_length*PS_delay;
CR_padded_qpsk = [CR_qpsk zeros(1,PS_padded-length(CR_qpsk))];
for n = 1 : PS_delay
   CR_padded_dqpsk(n:PS_delay:PS_padded) = dqpsk(CR_padded_qpsk(n:PS_delay:PS_padded), CR_ref(n));
end;
CR_dqpsk = CR_padded_dqpsk(1:length(CR_qpsk));