function CR_pi4dqpsk = pi4dqpsk(CR_qpsk, CS_ref)
% CR_pi4dqpsk = pi4dqpsk(CR_qpsk, CS_ref)

if (nargin < 2)
   CS_ref = +1;
end;
PS_length = length(CR_qpsk);
CR_pi4qpsk = CR_qpsk * exp(j*pi/4);
CS_newRef = CS_ref;
for n = 1 : PS_length
   CR_pi4dqpsk(n) = CS_newRef * CR_pi4qpsk(n);
   CS_newRef = CR_pi4dqpsk(n);
end;
