function CR_qpsk = qpsk(BR_sequence)
% CR_qpsk = qpsk(BR_sequence)

PS_length = length(BR_sequence);
PS_qpskLength = floor(PS_length/2);

BM_pairs = reshape(BR_sequence,2,PS_qpskLength);

PR_firstRow = zeros(1,PS_qpskLength);
PR_secondRow = zeros(1,PS_qpskLength);

PR_firstRow(find(BM_pairs(1,:))) = 1;
PR_secondRow(find(BM_pairs(2,:))) = 1;

PR_find00 = (~PR_firstRow) & (~PR_secondRow);
PR_find01 = (~PR_firstRow) & PR_secondRow;
PR_find11 = PR_firstRow & PR_secondRow;
PR_find10 = PR_firstRow & (~PR_secondRow);

CR_qpsk(PR_find00) = +1;
CR_qpsk(PR_find01) = +j;
CR_qpsk(PR_find11) = -1;
CR_qpsk(PR_find10) = -j;
