function RR_mrcosf = mrcosf(RR_freq, FS_rolloff, RS_period)
% RR_mrcosf = mrcosf(RR_freq, FS_rolloff, RS_period)

RS_index = 1;
for RS_freq = RR_freq
   if (abs(RS_freq) <= ((1-FS_rolloff)/(2*RS_period)))
      RR_mrcosf(RS_index) = RS_period;
   elseif (abs(RS_freq) <= ((1+FS_rolloff)/(2*RS_period)))
      RR_mrcosf(RS_index) = (RS_period)*(cos(pi*(RS_freq)*RS_period/2))^2 ;
   else
      RR_mrcosf(RS_index) = 0;
   end;
   RS_index = RS_index+1;
end;