function CS_akSoft = bpsk_mve(CS_yk, CS_noisePower)
% CS_akSoft = bpsk_mve(CS_yk, CS_noisePower)

b_plus_one  = exp(-(abs(CS_yk - 1)^2)/2/CS_noisePower);
b_minus_one = exp(-(abs(CS_yk + 1)^2)/2/CS_noisePower);

CS_akSoft = (b_plus_one - b_minus_one)/(b_plus_one + b_minus_one);