function CR_bpsk = invpi2dbpsk(CR_pi2dbpsk, CS_ref)
% CR_bpsk = invpi2dbpsk(CR_pi2dbpsk, CS_ref)

if (nargin < 2)
   CS_ref = +1;
end;

PS_length = length(CR_pi2dbpsk);

CR_ref = conj([CS_ref CR_pi2dbpsk(1:PS_length-1)]);
CR_pi2bpsk = CR_ref .* CR_pi2dbpsk;
CR_bpsk = CR_pi2bpsk * exp(-j*pi/2);
